# Configuration and common algorithm pieces for benchmarks
configure_file(src/sample_images.cpp.in sample_images.cpp)

add_library(benchmark_base STATIC
        ${CMAKE_CURRENT_BINARY_DIR}/sample_images.cpp
        src/fft.cpp include/benchmark_base/fft.h
        include/benchmark_base/heat.h
        include/benchmark_base/matrix.h
        include/benchmark_base/unbalanced.h src/unbalanced.cpp
        include/benchmark_base/range.h
        include/benchmark_base/fib.h)

target_include_directories(benchmark_base
        PUBLIC
        $<INSTALL_INTERFACE:include>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/src
        )

target_link_libraries(benchmark_base picosha2)
